commoble.looot.loot

## Class NameEnchantedItem.Serializer

- java.lang.Object
- - net.minecraft.loot.LootFunction.Serializer<NameEnchantedItem>
  - - commoble.looot.loot.NameEnchantedItem.Serializer

All Implemented Interfaces:
  net.minecraft.loot.ILootSerializer<NameEnchantedItem>

Enclosing class:
  NameEnchantedItem

    public static class NameEnchantedItem.Serializer
    extends net.minecraft.loot.LootFunction.Serializer<NameEnchantedItem>

### Field Summary

Fields
`static net.minecraft.util.text.Style.Serializer` `STYLE_SERIALIZER`

### Constructor Summary

Constructors
Constructor and Description
`Serializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`NameEnchantedItem` `deserialize(com.google.gson.JsonObject object, com.google.gson.JsonDeserializationContext deserializationContext, net.minecraft.loot.conditions.ILootCondition[] conditionsIn)`
`void` `serialize(com.google.gson.JsonObject jsonObject, NameEnchantedItem lootFunction, com.google.gson.JsonSerializationContext serializer)`

### Methods inherited from class net.minecraft.loot.LootFunction.Serializer

`deserialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STYLE_SERIALIZER

    public static final net.minecraft.util.text.Style.Serializer STYLE_SERIALIZER

### Constructor Detail

#### Serializer

    public Serializer()

### Method Detail

#### deserialize

    public NameEnchantedItem deserialize(com.google.gson.JsonObject object,
                                         com.google.gson.JsonDeserializationContext deserializationContext,
                                         net.minecraft.loot.conditions.ILootCondition[] conditionsIn)

Specified by:
  `deserialize` in class `net.minecraft.loot.LootFunction.Serializer<NameEnchantedItem>`

#### serialize

    public void serialize(com.google.gson.JsonObject jsonObject,
                          NameEnchantedItem lootFunction,
                          com.google.gson.JsonSerializationContext serializer)

Specified by:
  `serialize` in interface `net.minecraft.loot.ILootSerializer<NameEnchantedItem>`
Overrides:
  `serialize` in class `net.minecraft.loot.LootFunction.Serializer<NameEnchantedItem>`